org.apache.ignite.thread

## Class OomExceptionHandler

- java.lang.Object
- - org.apache.ignite.thread.OomExceptionHandler

All Implemented Interfaces:
  Thread.UncaughtExceptionHandler

    public class OomExceptionHandler
    extends Object
    implements Thread.UncaughtExceptionHandler

OOM exception handler for system threads.

### Constructor Summary

Constructors
Constructor and Description
`OomExceptionHandler(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `uncaughtException(Thread t, Throwable e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OomExceptionHandler

    public OomExceptionHandler(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### uncaughtException

    public void uncaughtException(Thread t,
                                  Throwable e)

Specified by:
  `uncaughtException` in interface `Thread.UncaughtExceptionHandler`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019